#!/bin/sh

cygwin=false
os400=false
darwin=false
case "`uname`" in
  CYGWIN*) cygwin=true;;
  OS400*) os400=true;;
  Darwin*) darwin=true;;
esac

# resolve links - $0 may be a softlink
PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`
LS_HOME=`cd "$PRGDIR/.." >/dev/null; pwd`



# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
  [ -n "$LS_HOME" ] &&
    LS_HOME=`cygpath --unix "$LS_HOME"`
fi

if [ "x$LS_HOME" = "x" ]; then
  # get the full path (without any relative bits)
  LS_HOME=`cd $DIRNAME/..; pwd`
fi

cd "$LS_HOME";

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  LS_HOME=`cygpath --path --windows "$JRLS_HOME"`
fi

# Setup the JVM
if [ "x$JAVA" = "x" ]; then
  if [ "x$JAVA_HOME" != "x" ]; then
    JAVA="$JAVA_HOME/bin/java"
  else
    JAVA="java"
  fi
fi


## Execute the beast
$JAVA -classpath "$LS_HOME/lib/license-server.jar" com.zeroturnaround.ls.service.PasswordResetter $@

